#! /usr/bin/wish -f

# help module for JetSync

wm title . "Help"

frame .f1
frame .f2
frame .f3

pack .f1 -anchor w
pack .f2 -anchor w
pack .f3

label .title -text "JetSync Help" -justify left
pack .title -anchor w -pady 10 -padx 10

label .text -justify left -wraplength 350 -anchor w
pack .text -anchor w -pady 10 -padx 10

case $argv {
  1 {
    .text configure \
-text "Choose one of these options according to the behaviour:\
\n\
\nSynchronize the files:\
\nBidirectional synch. Checks data in both platforms.\
\n\
\nDesktop to PalmPilot:\
\nDesktop overrides Pilot\
\n\
\nPalmPilot to desktop:\
\nPilot overrides Desktop\
\n\
\nDo nothing:\
\n\
Ignore this conduit's behaviour."
  }
  2 {
    .text configure \
-text "Double-click on a conduit name or select it and press \"Change...\" \
to configure that conduit's behaviour for the selected user."
  }
  3 {
    .text configure \
-text "Port: UNIX serial device (usually /dev/cua0 or 1)\
\nSpeed: Value is usually 9600 or 19200"
  }
  4 {
    .text configure \
-text "Always available:\
\nA daemon will be running continuously even when JetSync is closed. This\
daemon will keep track of synchronization and sync, whenever requested by\
the PalmPilot.\
\n\nOnly when JetSync is running:\
\nThis options is identical to the first except the daemon will die when\
JetSync is closed.\
\n\nManual:\
\nHotSync will only proceed when the \"Synchronize\" button in the main\
window is pressed. No daemon is present.\
\n\n\nAny of these options requires JetSync to be restarted to become in\
effect."
  }
}

button .close -text "Close" -command "destroy ."
pack .close -pady 10

tkwait win .
